<?php

/**
 * Test: UIMacros {ifset #block}
 *
 * @author     David Grudl
 * @package    Nette\Latte
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';


$compiler = new LatteCompiler;
UIMacros::install($compiler);
function item1($a) { return $a[1]; }

// {ifset ... }
Assert::same( '<?php if (isset($_l->blocks["block"])): ?>',  item1($compiler->expandMacro('ifset', '#block')) );
Assert::same( '<?php if (isset($item->var["#test"], $_l->blocks["block"])): ?>',  item1($compiler->expandMacro('ifset', '$item->var["#test"], #block')) );

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('compiler'=>$compiler)).'], EXTR_REFS);
	Assert::same( \'<?php if (isset($var)): ?>\',  item1($compiler->expandMacro(\'ifset\', \'$var\')) );
'), 'LatteException', 'Unhandled macro {ifset}');
